import { r as registerInstance, h, H as Host, g as getElement } from './index-ecdfb761.js';
import { t as takvimMeetingListI18nDefault } from './i18n-f54b4247.js';

const dvnAppViewTakvimMeetingListViewTableCss = "dvn-app-view-takvim-meeting-list-view-table{-ms-flex:1;flex:1;display:-ms-flexbox;display:flex;overflow:hidden}";

const DvnAppViewTakvimMeetingListViewTable = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  async invalidate(_event) {
    var _a, _b;
    (_b = (_a = this.el.querySelector(`takvim-meeting-list`)) === null || _a === void 0 ? void 0 : _a.invalidate) === null || _b === void 0 ? void 0 : _b.call(_a);
  }
  ;
  async componentWillLoad() {
    this.strings = await this.apiSozluk.getContent(this.view.i18nEntryId, takvimMeetingListI18nDefault);
  }
  render() {
    const { scrollToFitHeight, userSettings, params: { guest1Id, guest2Id }, view, } = this;
    const guestIDs = [guest1Id, guest2Id].filter(id => !!id);
    return (h(Host, null, h("takvim-meeting-list", { apiTakvim: this.apiTakvim, calendarConfigId: view.table._id, guestIDs: guestIDs, userSettings: userSettings, strings: this.strings, scrollToFit: scrollToFitHeight })));
  }
  get el() { return getElement(this); }
};
DvnAppViewTakvimMeetingListViewTable.style = dvnAppViewTakvimMeetingListViewTableCss;

export { DvnAppViewTakvimMeetingListViewTable as dvn_app_view_takvim_meeting_list_view_table };
